Bug 126205 - xdm walks physical memory
Summary: xdm walks physical memory
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-17 14:48 UTC by Lon Hohberger
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 11:56:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:478 normal SHIPPED_LIVE Moderate: XFree86 security update 2004-10-04 04:00:00 UTC

Description Lon Hohberger 2004-06-17 14:48:44 UTC
Description of problem:

xdm opens and walks /dev/mem - From what I hear, this is for random
data.  Shouldn't it use /dev/random or /dev/urandom?

write(2, "xdm info (pid 4041): ", 21)   = 21
write(2, "Couldn\'t connect to PRNGD socket"..., 75) = 75
rt_sigaction(SIGPIPE, {SIG_DFL}, {SIG_IGN}, 8) = 0
close(5)                                = 0
gettimeofday({1087482950, 653748}, NULL) = 0
open("/dev/mem", O_RDONLY)              = 5
lseek(5, 0, SEEK_SET)                   = 0
read(5, "\1\0\0\0\374\257\0\360\303\342\0\360\374\257\0\360\374"...,
4096) = 4096
read(5, "\211\315\301\351\2\363\245\211\351\203\341\3\363\244\211"...,
4096) = 4096
read(5, "\0\0\0\0\216\330\372f\307\6\0\0\245\245\245\245\17\1\36"...,
4096) = 4096
read(5, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"...,
4096) = 4096
read(5, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"...,
4096) = 4096
read(5, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"...,
4096) = 4096
read(5, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"...,
4096) = 4096
read(5, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"...,
4096) = 4096
read(5, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"...,
4096) = 4096
read(5, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"...,
4096) = 4096
read(5, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"...,
4096) = 4096
read(5, "\312\374*\2\0\0\0\0\377\377\t\0\0\2\0\200\334\6/\2\4\2"...,
4096) = 4096
read(5, "\320\211\330\301\350\10!\302\260\1\206\5`\340.\2V\235["...,
4096) = 4096
read(5, "\10\345.\2\203\304\f\211\350[^_]\303\241\20\345.\2\377"...,
4096) = 4096
read(5, "\377[\270\1\0\0\0^_\303S\211\303\241\214\342.\2\251\0\0"...,
4096) = 4096
read(5, "\1\377\211D$\4\203\373\377\307D$\10\1\0\0\0t\26\17\266"...,
4096) = 4096
close(5)                                = 0
umask(077)                              = 022
stat64("/etc/X11/xdm/authdir", {st_mode=S_IFDIR|0700, st_size=4096,
...}) = 0
mkdir("/etc/X11/xdm/authdir/authfiles", 0700) = -1 EEXIST (File exists)

Comment 1 Lon Hohberger 2004-06-17 15:08:34 UTC
Pushed upstream per request:

http://freedesktop.org/bugzilla/show_bug.cgi?id=761

Comment 2 Lon Hohberger 2004-06-17 17:32:12 UTC
From upstream:

------- Additional Comments From alan.coopersmith@sun.com  2004-06-17
09:37 -------
xdm has code in for using /dev/random, but it's only used if the Imake
configuration for your OS is set to use it.  Right now, only NetBSD.cf
& sun.cf
set HasDevRandom.   To activate it in your build, try adding this line to
xc/config/cf/host.def :
#define HasDevRandom          YES

To add it for your platform in general, look at the existing bits in
NetBSD.cf and
sun.cf and the bits in X11.tmpl that translate them to flags used to
compile xdm.   

Comment 3 Mike A. Harris 2004-09-01 11:56:21 UTC
* Wed Sep  1 2004 Mike A. Harris <mharris@redhat.com>
- Enable "#define HasDevRandom YES" in host-$arch.def for bug (#126205)


Fixed in rawhide xorg-x11, XFree86 4.3.0 and 4.1.0 in CVS for future
erratum.  Closing as "RAWHIDE".

Comment 4 Josh Bressers 2004-10-04 15:52:51 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-478.html



Note You need to log in before you can comment on or make changes to this bug.